Youtube with aBrowser 30

9 Antworten [Letzter Beitrag]
Mzee
Offline
Beigetreten: 07/10/2013

Hi guys,
Is anyone else having problems with abrowser 30 and Youtube? I can't use Youtube any more since I updated my Trisquel 6.0 laptop.

Cheers,
Mzee

leny2010

I am a member!

I am a translator!

Offline
Beigetreten: 09/15/2011

I've just upgraded my machine to test and I've managed to watch the
first three videos I chose. I've got Abrowser 30,
xul-ext-youtube-all-html5 (from the repos) and have visited
youtube.com/hmtl5 and turned HTML5 on. I've not got Gnash, Linterna
Magicka or any of the other Youtube methods installed.

oysterboy

I am a member!

I am a translator!

Offline
Beigetreten: 02/01/2011

Same config as leny2010 here, but same problem as Mzee :(.

leny2010

I am a member!

I am a translator!

Offline
Beigetreten: 09/15/2011

I don't use Youtube very often so normally it could easily be over a week before I notice it doesn't work. It always seems to be some meddling about with their site Youtube does which the free software tools need to be upgraded for.

Accordingly I note there's a youtube-dl upgrade dated 2014.06.26 when I do a sudo youtube-dl -U and there's a version 2.1.3 of Youtube All HTML5 available from Tools > Add-ons > Get Add-ons in Abrowser and the repo package version is 2.1.2.

So if you're having problems can I suggest you try the newer versions. It might not work, but it also might.

Magic Banana

I am a member!

Offline
Beigetreten: 07/24/2010

More generally (not only for YouTube): https://trisquel.info/en/wiki/play-videos-without-using-flash

t3g
t3g
Offline
Beigetreten: 05/15/2011

What if you install gstreamer0.10-ffmpeg via apt and then open up Abrowser, type about:config, search for media.gstreamer.enabled and set to true.

You may have to restart the browser and go to https://www.youtube.com/html5 or http://beta.html5test.com to see if it worked.

What also works for me if YouTube forces Flash is to get a user agent switcher extension and once on YouTube, set your user agent to iPad with iOS 7 to force H.264. I know that H.264 is patented and all, but if there is no WebM stream you either have Flash or H.264.

t3g
t3g
Offline
Beigetreten: 05/15/2011

If you are on Trisquel 7, I think Abrowser 30 works with the gstreamer1.0-libav package since ffmpeg doesn't exist in the standard repos anymore.

oysterboy

I am a member!

I am a translator!

Offline
Beigetreten: 02/01/2011

Problem solved by manually updating the YouTube All HTML5 extension. Go to https://trisquel.info/fr/browser/addons/youtube-all-html5 and click on Install extension.

I guess the xul-ext-youtube-all-html5 package should be updated - the version in the repo doesn't work on abrowser 30.

Mzee
Offline
Beigetreten: 07/10/2013

Thanks a lot everyone. The hint from oysterboy did the trick for me. :-)

elodie
Offline
Beigetreten: 01/31/2014

Or you can be smart and install Download Flash and Video[1]. It has a free license: MPL2.0. And it just works. This way you save bandwidth too as you don't have to download the same thing twice.

[1] http://www.fnvfox.com/
[2] https://addons.mozilla.org/en-US/firefox/addon/download-flash-and-video/